org.apache.cassandra.db.filter

## Class ColumnSlice.NavigableMapIterator

- java.lang.Object
- - com.google.common.collect.UnmodifiableIterator<T>
  - - com.google.common.collect.AbstractIterator<IColumn>
    - - org.apache.cassandra.db.filter.ColumnSlice.NavigableMapIterator

- All Implemented Interfaces:
    java.util.Iterator<IColumn>
  Enclosing class:
    ColumnSlice

      public static class ColumnSlice.NavigableMapIterator
      extends com.google.common.collect.AbstractIterator<IColumn>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnSlice.NavigableMapIterator(java.util.NavigableMap<java.nio.ByteBuffer,IColumn> map, ColumnSlice[] slices)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected IColumn` | `computeNext()`

    - ### Methods inherited from class com.google.common.collect.AbstractIterator

      `endOfData, hasNext, next, peek`

    - ### Methods inherited from class com.google.common.collect.UnmodifiableIterator

      `remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ColumnSlice.NavigableMapIterator

          public ColumnSlice.NavigableMapIterator(java.util.NavigableMap<java.nio.ByteBuffer,IColumn> map,
                                          ColumnSlice[] slices)

  - ### Method Detail

    - #### computeNext

          protected IColumn computeNext()

      Specified by:
        `computeNext` in class `com.google.common.collect.AbstractIterator<IColumn>`

Copyright © 2014 The Apache Software Foundation